## schrosubband schrosubband |

## Synopsis

    #define             SCHRO_SUBBAND_IS_HORIZONTALLY_ORIENTED(position)
    #define             SCHRO_SUBBAND_IS_VERTICALLY_ORIENTED(position)
    #define             SCHRO_SUBBAND_SHIFT                 (position)
    void                schro_subband_get_frame_data        (SchroFrameData *dest,
                                                             SchroFrame *frame,
                                                             int component,
                                                             int position,
                                                             SchroParams *params);
    int                 schro_subband_get_position          (int index);

## Description

## Details

### SCHRO_SUBBAND_IS_HORIZONTALLY_ORIENTED()

    #define SCHRO_SUBBAND_IS_HORIZONTALLY_ORIENTED(position) (((position)&3) == 2)

`position` : |

### SCHRO_SUBBAND_IS_VERTICALLY_ORIENTED()

    #define SCHRO_SUBBAND_IS_VERTICALLY_ORIENTED(position) (((position)&3) == 1)

`position` : |

### SCHRO_SUBBAND_SHIFT()

    #define SCHRO_SUBBAND_SHIFT(position) ((position)>>2)

`position` : |

### schro_subband_get_frame_data ()

    void                schro_subband_get_frame_data        (SchroFrameData *dest,
                                                             SchroFrame *frame,
                                                             int component,
                                                             int position,
                                                             SchroParams *params);

`dest` : |
`frame` : |
`component` : |
`position` : |
`params` : |

### schro_subband_get_position ()

    int                 schro_subband_get_position          (int index);

`index` : |
Returns : |